%define origname loudmouth

Name: lib%origname
Version: 0.16
Release: alt2

%def_disable static

%define gnutls_version 1.0.0

Summary: Jabber library for C
Group: System/Libraries
License: LGPL
Url: http://loudmouth.imendio.com/

Source: %origname-%version.tar.bz2

Requires: libgnutls >= %gnutls_version

# Automatically added by buildreq on Fri Jan 30 2004
BuildRequires: common-licenses docbook-dtds docbook-style-xsl glib2-devel gtk-doc libgcrypt-devel libgnutls-devel libgpg-error-devel libtasn1-devel pkgconfig xml-common xsltproc zlib-devel

BuildRequires: libgnutls-devel >= %gnutls_version
BuildRequires: gtk-doc >= 1.0

%description
Loudmouth is a lightweight and easy-to-use C library for programming
with the Jabber protocol. It is designed to be easy to get started with
and yet extensible to let you do anything the Jabber protocol allows.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release
Requires: glib2-devel
Requires: libgnutls-devel >= %gnutls_version

%description devel
This package contains files needed to develop applications using Loudmouth.
Loudmouth is a lightweight and easy-to-use C library for programming
with the Jabber protocol. It's designed to be easy to get started with
and yet extensible to let you do anything the Jabber protocol allows.

%if_enabled static
%package devel-static
Summary: Static library for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains a statically-linked variant of Loudmouth.
Loudmouth is a lightweight and easy-to-use C library for programming
with the Jabber protocol. It's designed to be easy to get started with
and yet extensible to let you do anything the Jabber protocol allows.
%endif	# enabled static

%prep
%setup -q -n %origname-%version

rm -f COPYING
ln -s %_licensedir/LGPL-2.1 COPYING

%__aclocal
%__autoconf

%build
%configure --enable-gtk-doc --with-ssl=yes \
    %{subst_enable debug} \
    %{subst_enable static}
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README
%doc --no-dereference COPYING
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*
%doc %_datadir/gtk-doc/html/%origname

%if_enabled static
%files devel-static
%_libdir/*.a
%endif	# enabled static

%changelog
* Thu Apr 08 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.16-alt2
- Rebuilt against GnuTLS 1.0.10

* Sat Mar 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.16-alt1
- New upstream release
- Built against libgcrypt 1.1.93

* Fri Jan 30 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.15.1-alt1
- New upstream release
- Minimum required version of libgnutls pushed to 1.0

* Fri Jan 23 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.15-alt1
- New upstream release
- Rebuild configure script to eliminate the cpp problem

* Fri Jan 02 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.14.1-alt1
- Updated to upstream release 0.14.1
- Removed the OpenSSL patch, as the author's decision to stay
  with GnuTLS is firm
- Removed a .la file

* Wed Aug 20 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.13.2-alt1
- New version
- Updated Patch0

* Tue Aug 05 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.13-alt1
- New version
- Updated the SSL patch [Patch0]

* Sun Aug 03 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.12-alt2
- Replaced Patch0 with a more generic patch that adds OpenSSL support
  as a primary SSL implementation, plus cleans up connection shutdown [Patch0]

* Sun Jul 20 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.12-alt1
- Ported to ALT Linux
- Replaced unreliable GnuTLS configure stuff with aclocal-based one [Patch0]
